/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_iterative_factorial.c                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: loic <marvin@42.fr>                        +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2019/01/07 18:12:43 by loic              #+#    #+#             */
/*   Updated: 2019/01/07 19:01:00 by loic             ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int				ft_iterative_factorial(int nb)
{
	int res;
	int	i;

	i = 1;
	res = 1;
	if (nb <= 0 || nb >= 12)
			return(0);
	if (nb == 0 || nb == 1)
			return (1);
	while (i <= nb)
	{
		res *= i;
		i++;
	}
	return (res);
}
